
export class VersionUtil {
    public static verifyMinVersion(version: string, minVersion: string): boolean {
        if (!version) return false;
        if (!minVersion) return true;
        var va = version.split(".");
        var mva = minVersion.split(".");
        for (var i = 0; i < mva.length; i++) {
            var min = parseInt(mva[i]);
            //min version 0, allows any version(even if none is specified)
            if (min === 0) continue;
            if (va.length <= i && min > 0) return false;
            var v = parseInt(va[i]);
            //if they are equal, continue comparing
            if (v === min) continue;
            return v > min;
        }
        return true;
    }
}