define(function(require) {
    'use strict';

    var
        _ = require('underscore'),
        Component = require('Component'),
        template = require('/template/asset');

    return Component.extend({

        template: template,

        filterState: function(state) {
            return _.extend({}, {
                inEditMode: state.inEditMode,
                asset: state.asset
            });
        }
    });
});