interface Window {
    validate: () => Boolean;
    _validate: () => Boolean;
    getValues: () => any;
    _getValues: () => any;
    setValues(values: any): void;
    _setValues(values: any): void;
    requester: ISiteVisionRequester;
    ImageVault: any;
}
interface IPinClient {

}
interface ISiteVisionRequester {
    doPost(ags: DoPostRequest);
    doDelete(args: DoDeleteRequest);
    doGet(args: DoGetRequest);
}
interface DoPostRequest extends RequesterBaseRequest {
    data: any;
}
interface DoDeleteRequest extends RequesterBaseRequest {

}
interface DoGetRequest extends RequesterBaseRequest {
    data?: any;
}
interface RequesterBaseRequest {
    route: string;
    async?: boolean;
}
